Bug 190046 - [patch] Add staging support to www/feedonfeeds
Summary: [patch] Add staging support to www/feedonfeeds
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-21 01:30 UTC by joe
Modified: 2014-05-25 06:30 UTC (History)
0 users

See Also:


Attachments
file.diff (454 bytes, patch)
2014-05-21 01:30 UTC, joe
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description joe 2014-05-21 01:30:00 UTC
Adds staging support to www/feedonfeeds.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-05-21 01:30:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-05-21 01:30:05 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Edwin Groothuis freebsd_committer 2014-05-21 01:30:05 UTC
Maintainer of www/feedonfeeds,

Please note that PR ports/190046 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/190046

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 4 Krzysztof 2014-05-21 08:31:01 UTC
Hello,

On Wed, May 21, 2014 at 12:30:05AM +0000, Edwin Groothuis wrote:
> Maintainer of www/feedonfeeds,
> 
> Please note that PR ports/190046 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/190046
> 
Yes, I aproove this patch. Also I have a request to change my email to
ports@bsdserwis.com

Thanks a lot.

Greetings,
-- 
Krzysztof Stryjek
UNIX administrator/Juniper Networks Specialist
email: wtp (at) bsdserwis (dot) com
http://www.linkedin.com/in/KrzysztofStryjek
GPG fingerprint: 8BD7 40CE 8994 0BBE CE6C  91CD 1292 8959 DC61 0E76

In theory, there is no difference between theory and practice.
In practice, there is.
Comment 5 Martin Wilke freebsd_committer 2014-05-25 06:27:12 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 6 dfilter service freebsd_committer 2014-05-25 06:27:36 UTC
Author: miwi
Date: Sun May 25 05:27:32 2014
New Revision: 355125
URL: http://svnweb.freebsd.org/changeset/ports/355125
QAT: https://qat.redports.org/buildarchive/r355125/

Log:
  - Stage support
  
  PR:		190046
  Submitted by:	Joseph Benden <joe@thrallingpenguin.com>
  Approved by:	maintainer

Modified:
  head/www/feedonfeeds/Makefile

Modified: head/www/feedonfeeds/Makefile
==============================================================================
--- head/www/feedonfeeds/Makefile	Sun May 25 05:25:53 2014	(r355124)
+++ head/www/feedonfeeds/Makefile	Sun May 25 05:27:32 2014	(r355125)
@@ -18,9 +18,8 @@ NO_BUILD=	yes
 DATADIR?=	${PREFIX}/www/data/feed-on-feeds
 WRKSRC=	${WRKDIR}/${PROJECTHOST}
 
-NO_STAGE=	yes
 do-install:
-	${MKDIR} ${DATADIR}
-	${CP} -R ${WRKSRC}/ ${DATADIR}
+	${MKDIR} ${STAGEDIR}${DATADIR}
+	${CP} -R ${WRKSRC}/ ${STAGEDIR}${DATADIR}
 
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"